Bug 175505 - update security/kpcli 1.4 -> 1.6
Summary: update security/kpcli 1.4 -> 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 12:50 UTC by alexander.4mail
Modified: 2013-01-24 01:50 UTC (History)
0 users

See Also:


Attachments
kpcli.diff (2.19 KB, patch)
2013-01-22 12:50 UTC, alexander.4mail
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alexander.4mail 2013-01-22 12:50:00 UTC
        Update security/kpcli 1.4 to 1.6
Comment 1 Jason Helfman freebsd_committer 2013-01-22 15:53:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-01-24 01:40:07 UTC
Author: jgh
Date: Thu Jan 24 01:39:59 2013
New Revision: 310910
URL: http://svnweb.freebsd.org/changeset/ports/310910

Log:
  - update to 1.6
  - trim historical header, comment and pkg-descr
  
  PR:		175505
  Submitted by:	maintainer, alexander.4mail@gmail.com

Modified:
  head/security/kpcli/Makefile
  head/security/kpcli/distinfo
  head/security/kpcli/pkg-descr

Modified: head/security/kpcli/Makefile
==============================================================================
--- head/security/kpcli/Makefile	Thu Jan 24 00:54:06 2013	(r310909)
+++ head/security/kpcli/Makefile	Thu Jan 24 01:39:59 2013	(r310910)
@@ -1,17 +1,13 @@
-# New ports collection makefile for:	kpcli
-# Date created:		25 May 2012
-# Whom:			Alexander Y. Grigoryev <alexander.4mail@gmail.com>
-#
 # $FreeBSD$
 
 PORTNAME=	kpcli
-PORTVERSION=	1.4
+PORTVERSION=	1.6
 CATEGORIES=	security
 MASTER_SITES=	SF/kpcli/
 EXTRACT_SUFX=	.pl
 
 MAINTAINER=	alexander.4mail@gmail.com
-COMMENT=	Command line interface to KeePassX and KeePass 1.x database files
+COMMENT=	Command line interface to KeePassX and KeePass database files
 
 LICENSE=	ART10 GPLv1
 LICENSE_COMB=	dual
@@ -19,7 +15,7 @@ LICENSE_COMB=	dual
 RUN_DEPENDS=	p5-Crypt-Rijndael>=1.08:${PORTSDIR}/security/p5-Crypt-Rijndael \
 		p5-Term-ReadKey>=2.30:${PORTSDIR}/devel/p5-Term-ReadKey \
 		p5-Sort-Naturally>=1.02:${PORTSDIR}/textproc/p5-Sort-Naturally \
-		p5-File-KeePass>=0.03:${PORTSDIR}/security/p5-File-KeePass \
+		p5-File-KeePass>=2.03:${PORTSDIR}/security/p5-File-KeePass \
 		p5-Term-ShellUI>=0.9:${PORTSDIR}/shells/p5-Term-ShellUI \
 		p5-ReadLine-Gnu>=1.19:${PORTSDIR}/devel/p5-ReadLine-Gnu \
 		p5-Clone>=0.31:${PORTSDIR}/devel/p5-Clone

Modified: head/security/kpcli/distinfo
==============================================================================
--- head/security/kpcli/distinfo	Thu Jan 24 00:54:06 2013	(r310909)
+++ head/security/kpcli/distinfo	Thu Jan 24 01:39:59 2013	(r310910)
@@ -1,2 +1,2 @@
-SHA256 (kpcli-1.4.pl) = 9bf8d28117fe77f7257d595df51fe27d4472abe535700a94bbf8257e35272f4b
-SIZE (kpcli-1.4.pl) = 67714
+SHA256 (kpcli-1.6.pl) = 71949dfe3356bb31e96427cd862f3fd8a73eaff922359e89f5094a87f9f2bdda
+SIZE (kpcli-1.6.pl) = 72331

Modified: head/security/kpcli/pkg-descr
==============================================================================
--- head/security/kpcli/pkg-descr	Thu Jan 24 00:54:06 2013	(r310909)
+++ head/security/kpcli/pkg-descr	Thu Jan 24 01:39:59 2013	(r310910)
@@ -1,4 +1,4 @@
 A command line interface (interactive shell) to work
-with KeePassX and KeePass 1.x database files.
+with KeePassX and KeePass (kdb, kdbx) database files.
 
 WWW: http://kpcli.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-01-24 01:40:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!